#### PyKDE - Python Bindings for KDE

# class KParts.DockMainWindow |
Table of contents
Modules
tdeparts Classes
All Classes

Module | tdeparts
Class | KParts.DockMainWindow
Inherits | KDockMainWindow, KParts.PartBase

### methods

- DockMainWindow (parent = 0, name = 0, f = WDestructiveClose)

  returns a DockMainWindow instance
  Argument | Type | Default
  --- | --- | ---
  parent | TQWidget | 0
  name | char | 0
  f | WFlags | WDestructiveClose

- createGUI (part)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  part | KParts.Part |

- createShellGUI (create = 1)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  create | bool | 1

- slotSetStatusBarText (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQString |